> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Users Agent



## OpenAPI

````yaml openapi-v2 POST /users/agents
openapi: 3.0.3
info:
  title: ZapThinker API
  version: 2.1.1
servers:
  - url: https://api.zapthinker.com
security: []
paths:
  /users/agents:
    post:
      tags:
        - Users
      summary: Create users agent
      operationId: createUsersAgent
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                email:
                  type: string
                password:
                  type: string
                userPermissions:
                  type: array
                  items:
                    type: object
                    properties:
                      instanceId:
                        type: string
                      permissionLevel:
                        type: string
                      instance:
                        type: object
                        properties:
                          name:
                            type: string
              example:
                name: Joao Pedro
                email: joao@example.com
                password: securepassword
                userPermissions:
                  - instanceId: 54645da3-f691-405f-9131-454095230de2
                    permissionLevel: WEBCHAT | FULL
                    instance:
                      name: name of the instance
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  email:
                    type: string
                example:
                  id: cmncj531q000ipf01avoml8yh
                  name: Joao Pedro
                  email: joao@example.com
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````